using System;
using System.Collections;
using System.Xml;

namespace banco1.domain
{
	/// <summary>
	/// Descripción breve de ListaDeClientes.
	/// </summary>
	public class ListaDeClientes
	{
		protected static ArrayList mClientes;

		public ListaDeClientes()
		{
			mClientes=new ArrayList();
			XmlDocument doc = new XmlDocument();
			XmlTextReader reader = new XmlTextReader("..\\..\\clientes.xml");
			doc.Load(reader);
			XmlNodeList clientes=doc.ChildNodes[1].ChildNodes;
			for (int i=0; i<clientes.Count; i++) 
			{
				XmlNode nodoCliente=clientes[i];
				String nif=nodoCliente.Attributes["nif"].Value;
				String nombre=nodoCliente.Attributes["nombre"].Value;
				String apellidos=nodoCliente.Attributes["apellidos"].Value;
				Cliente cliente=new Cliente(nombre, apellidos, nif);
				mClientes.Add(cliente);
			}
		}

		public static Cliente find(String nif) 
		{
			for (int i=0; i<mClientes.Count; i++) 
			{
				Cliente c=(Cliente) mClientes[i];
				if (c.nif.Equals(nif))
					return c;
			}
			return null;
		}
	}
}
